commit: 51ecc925315a1a3dcc0b084ae1e30f2a5d42ca87
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 06:49:06 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 07:53:35 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51ecc925
dev-ruby/websocket-driver: fix extension installation
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
.../websocket-driver-0.7.3-r1.ebuild | 30 ++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/dev-ruby/websocket-driver/websocket-driver-0.7.3-r1.ebuild
b/dev-ruby/websocket-driver/websocket-driver-0.7.3-r1.ebuild
new file mode 100644
index 00000000000..4c0c845df05
--- /dev/null
+++ b/dev-ruby/websocket-driver/websocket-driver-0.7.3-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/websocket-driver/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="A complete implementation of the WebSocket protocols"
+HOMEPAGE="https://github.com/faye/websocket-driver-ruby"
+SRC_URI="https://github.com/faye/websocket-driver-ruby/archive/${PV}.tar.gz ->
${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0.7"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/websocket-extensions-0.1.0"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}